> ## Documentation Index
> Fetch the complete documentation index at: https://docs.develophealth.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Authorize Provider

## Overview

This endpoint is used to authorize a provider to be able to submit prior authorizations and benefit verifications on behalf of a provider.


## OpenAPI

````yaml post /provider/authorize
openapi: 3.1.0
info:
  title: Develop Health Public API
  description: Develop Health Public API
  version: '1.0'
servers:
  - url: https://api.develophealth.ai
security: []
paths:
  /provider/authorize:
    post:
      tags:
        - public-api
      summary: Authorize Provider
      operationId: authorize_provider_provider_authorize_post
      requestBody:
        content:
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/AuthorizeProviderRequest'
              title: Data
        required: true
      responses:
        '200':
          description: Successful initiation of provider authorization
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse'
              example:
                status: success
        '400':
          description: Provider authorization already initiated
          content:
            application/json:
              example:
                status: error
                error:
                  title: Provider Authorization Already Initiated
                  description: >-
                    Authorization has already been initiated for a provider with
                    this NPI or email
                  code: PROVIDER_AUTHORIZATION_ALREADY_INITIATED
        '403':
          description: Programmatic API access is not enabled for this organization.
          content:
            application/json:
              example:
                status: error
                error:
                  title: API Access Not Enabled
                  description: >-
                    Programmatic API access is not enabled for this
                    organization.
                  code: api_access_not_enabled
              schema:
                $ref: '#/components/schemas/ApiErrorResponseV2'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '429':
          description: >-
            The request exceeds the organization's configured API rate limit.
            Retry after the duration specified by Retry-After.
          headers:
            RateLimit-Policy:
              description: The blocking policy, quota, and window.
              schema:
                type: string
            RateLimit:
              description: Remaining capacity and reset time.
              schema:
                type: string
            Retry-After:
              description: Seconds until the request can be retried.
              schema:
                type: integer
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponseV2'
              example:
                status: error
                error:
                  title: Rate Limit Exceeded
                  description: >-
                    The request exceeds the organization's configured API rate
                    limit. Retry after the duration specified by Retry-After.
                  code: rate_limit_exceeded
        '503':
          description: The service is temporarily unavailable. Retry the request shortly.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponseV2'
              example:
                status: error
                error:
                  title: Service Unavailable
                  description: >-
                    The service is temporarily unavailable. Retry the request
                    shortly.
                  code: service_unavailable
      security:
        - FronteggJWTAuthentication: []
components:
  schemas:
    AuthorizeProviderRequest:
      properties:
        npi:
          type: string
          title: Npi
          description: The NPI of the provider.
        first_name:
          type: string
          title: First Name
          description: The first name of the provider.
        last_name:
          type: string
          title: Last Name
          description: The last name of the provider.
        email:
          type: string
          format: email
          title: Email
          description: The email of the provider.
        fax_number:
          type: string
          title: Fax Number
          description: The provider's fax number.
        phone_number:
          type: string
          title: Phone Number
          description: The provider's phone number.
        address:
          allOf:
            - $ref: '#/components/schemas/OptionalAddress'
          title: Address
          description: The provider's practice address.
      type: object
      required:
        - npi
        - first_name
        - last_name
      title: AuthorizeProviderRequest
      description: Represents a request for authorizing a provider.
    ApiResponse:
      properties:
        status:
          anyOf:
            - type: string
              enum:
                - success
            - type: string
              enum:
                - error
          title: Status
          default: success
        error:
          $ref: '#/components/schemas/ApiError'
        data:
          title: Data
      type: object
      title: ApiResponse
    ApiErrorResponseV2:
      properties:
        status:
          type: string
          const: error
          title: Status
          default: error
        error:
          $ref: '#/components/schemas/ApiErrorV2'
        data:
          type: 'null'
          title: Data
      type: object
      required:
        - error
      title: ApiErrorResponseV2
      description: V2 version of ApiErrorResponse using Pydantic v2.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    OptionalAddress:
      properties:
        street:
          type: string
          title: Street
          description: Street address of residence.
        street_line_2:
          type: string
          title: Street Line 2
          description: Additional street address information.
        city:
          type: string
          title: City
          description: City of residence.
        state_province:
          type: string
          title: State Province
          description: State or province of residence.
        zip_postal_code:
          type: string
          title: Zip Postal Code
          description: ZIP or postal code part of the address.
        country:
          type: string
          title: Country
          description: Country of residence.
      type: object
      title: OptionalAddress
      description: >-
        Represents a postal address with optional fields.

        Used for cases where address information may not be complete at creation
        time.
    ApiError:
      properties:
        title:
          type: string
          title: Title
        description:
          type: string
          title: Description
        code:
          type: string
          title: Code
      type: object
      required:
        - title
        - description
        - code
      title: ApiError
    ApiErrorV2:
      properties:
        title:
          type: string
          title: Title
        description:
          type: string
          title: Description
        code:
          type: string
          title: Code
      type: object
      required:
        - title
        - description
        - code
      title: ApiErrorV2
      description: V2 version of ApiError using Pydantic v2.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    FronteggJWTAuthentication:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where
        `<token>` is your auth token.

````